> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getTransactionByHash on HyperEVM

> Call eth_getTransactionByHash on HyperEVM via GoldRush JSON-RPC. Returns transaction details by transaction hash. Endpoint, parameters, return values, and code examples.

<Card title="0.01 credits per call" icon="coins" />

`eth_getTransactionByHash` on **HyperEVM**: Returns transaction details by transaction hash.

## Endpoint

```
https://rpc.goldrushdata.com/v1/hyperevm-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](/goldrush-json-rpc/authentication).

## Parameters

| Name              | Type             | Required | Description       | Example                                                                |
| ----------------- | ---------------- | -------- | ----------------- | ---------------------------------------------------------------------- |
| `transactionHash` | `DATA, 32 bytes` | yes      | Transaction hash. | `"0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"` |

## Returns

`Object | null`: Transaction object, or `null` if unknown.

```json theme={null}
{"hash":"0x88df0164...","from":"0x...","to":"0x...","value":"0x0","gas":"0x5208"}
```

## Examples

<CodeGroup>
  ```bash curl theme={null}
  curl https://rpc.goldrushdata.com/v1/hyperevm-mainnet \
    -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "jsonrpc": "2.0",
      "id": 1,
      "method": "eth_getTransactionByHash",
      "params": ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"]
    }'
  ```

  ```typescript ethers v6 theme={null}
  import { ethers } from "ethers";

  const url = "https://rpc.goldrushdata.com/v1/hyperevm-mainnet";
  const fetchReq = new ethers.FetchRequest(url);
  fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

  const provider = new ethers.JsonRpcProvider(fetchReq);
  const result = await provider.send("eth_getTransactionByHash", ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"]);
  console.log(result);
  ```

  ```typescript viem theme={null}
  import { createPublicClient, http } from "viem";

  const client = createPublicClient({
    transport: http("https://rpc.goldrushdata.com/v1/hyperevm-mainnet", {
      fetchOptions: {
        headers: {
          Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
        },
      },
    }),
  });

  const result = await client.request({
    method: "eth_getTransactionByHash",
    params: ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"],
  });
  console.log(result);
  ```

  ```javascript web3.js theme={null}
  import { Web3 } from "web3";

  const provider = new Web3.providers.HttpProvider(
    "https://rpc.goldrushdata.com/v1/hyperevm-mainnet",
    {
      headers: [
        { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
      ],
    }
  );
  const web3 = new Web3(provider);

  const result = await web3.currentProvider.request({
    method: "eth_getTransactionByHash",
    params: ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"],
  });
  console.log(result);
  ```

  ```python web3.py theme={null}
  from os import environ
  from web3 import Web3

  w3 = Web3(Web3.HTTPProvider(
      "https://rpc.goldrushdata.com/v1/hyperevm-mainnet",
      request_kwargs={
          "headers": {
              "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
          },
      },
  ))
  result = w3.manager.request_blocking("eth_getTransactionByHash", ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"])
  print(result)
  ```
</CodeGroup>

## Errors

Standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Transactions info methods on HyperEVM

* [`eth_getTransactionCount` on HyperEVM](/api-reference/json-rpc/hyperevm/eth-gettransactioncount)
* [`eth_getTransactionByBlockHashAndIndex` on HyperEVM](/api-reference/json-rpc/hyperevm/eth-gettransactionbyblockhashandindex)
* [`eth_getTransactionByBlockNumberAndIndex` on HyperEVM](/api-reference/json-rpc/hyperevm/eth-gettransactionbyblocknumberandindex)
* [`eth_getTransactionReceipt` on HyperEVM](/api-reference/json-rpc/hyperevm/eth-gettransactionreceipt)

## Also available on

* [`eth_getTransactionByHash` on Ethereum](/api-reference/json-rpc/ethereum/eth-gettransactionbyhash)
* [`eth_getTransactionByHash` on Polygon](/api-reference/json-rpc/polygon/eth-gettransactionbyhash)
* [`eth_getTransactionByHash` on BNB Smart Chain (BSC)](/api-reference/json-rpc/bsc/eth-gettransactionbyhash)
* [`eth_getTransactionByHash` on Arbitrum](/api-reference/json-rpc/arbitrum/eth-gettransactionbyhash)
* [`eth_getTransactionByHash` on Base](/api-reference/json-rpc/base/eth-gettransactionbyhash)
